# std::timed_mutex Class Reference
[Mutexes]

timed_mutex More...

List of all members.

## Public Types

- typedef __native_type * native_handle_type

## Public Member Functions

- timed_mutex (const timed_mutex &)
- void lock ()
- native_handle_type native_handle ()
- timed_mutex & operator= (const timed_mutex &)
- bool try_lock ()
- template<class _Rep , class _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
- template<class _Clock , class _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
- void unlock ()

## Detailed Description

timed_mutex

Definition at line 167 of file mutex.

The documentation for this class was generated from the following file:

- mutex